package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileEndPortModel;

import java.util.List;

/**
 * 用户端口，逻辑上与虚拟交换机端口相连接
 */
public interface EndPortProvider extends SuperProvider {
    default BocloudResult<List<AgileEndPortModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileEndPortModel> create(AgileEndPortModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileEndPortModel> modify(AgileEndPortModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileEndPortModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}
